"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toMilliseconds_1 = require("./toMilliseconds");
/**
 * Add values to the current time.
 *
 * @example toDays(addTime({ days: 1 }, { hours: 12 })) // 1.5
 * @returns a number in milliseconds
 */
exports.addTime = function () {
    var times = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        times[_i] = arguments[_i];
    }
    return times.reduce(function (n1, n2) { return n1 + toMilliseconds_1.default(n2); }, 0);
};
// TODO: This (and all other calculation functions) should return a time object to
// avoid the lossy conversion to millisceonds...?
exports.default = exports.addTime;
//# sourceMappingURL=addTime.js.map