"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toMilliseconds_1 = require("./toMilliseconds");
/**
 * Subtract values from the current time.
 *
 * @example toDays(subtractTime({ days: 1 }, { hours: 12 })) // 0.5
 * @returns a number in milliseconds
 */
exports.subtractTime = function (time) {
    var timesToSubtract = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        timesToSubtract[_i - 1] = arguments[_i];
    }
    return timesToSubtract.reduce(function (n1, n2) { return n1 - toMilliseconds_1.default(n2); }, toMilliseconds_1.default(time));
};
exports.default = exports.subtractTime;
//# sourceMappingURL=subtractTime.js.map