"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createTimeConverter_1 = require("./lib/createTimeConverter");
var constants_1 = require("./lib/constants");
/**
 * Get the number of months represented by a `Time` object or number of
 * milliseconds.
 *
 * Note, this is a rough approximation as the length of a month is variable.
 *
 * @example toMonths({ months: 10, days: 365 }) // 11
 */
var toMonths = createTimeConverter_1.default(constants_1.MILLISECONDS_IN_A_MONTH);
exports.default = toMonths;
//# sourceMappingURL=toMonths.js.map