"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createTimeConverter_1 = require("./lib/createTimeConverter");
var constants_1 = require("./lib/constants");
/**
 * Get the number of years represented by a `Time` object or number of
 * milliseconds.
 *
 * Note, this is a rough approximation as the length of a year is variable.
 *
 * @example toYears({ years: 10, days: 365 }) // 11
 */
var toYears = createTimeConverter_1.default(constants_1.MILLISECONDS_IN_A_YEAR);
exports.default = toYears;
//# sourceMappingURL=toYears.js.map